Subject: Re: bug#32252: [PATCH] %o and %x now format signed numbers

From: Helmut Eller <[email-masked]>
Date: Thu, 26 Jul 2018 19:16:02 +0200

On Thu, Jul 26 2018, Paul Eggert wrote:

> We're talking about 'format' not 'format-time-string', and Emacs code
> does apply 'format' with %x to the tricky little integers that
> 'current-time' returns. It's a real hassle, and this hassle is
> pervasive in Emacs. Having bignums would simplify it significantly.

Where is that code?  And why would it be difficult to teach
format-time-string to deal with the tricky bits that current-time
returns.

Helmut